Subject: Re: bug#33398: 26.1, netbsd-8; Hi Lock Faces, Hi Green B, default setting suggestion

From: Eli Zaretskii <[email-masked]>
Date: Mon, 26 Nov 2018 18:01:17 +0200

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 25 Nov 2018 22:25:25 +0200
> 
> The problem is that the condition '(t (:background "pink"))' is
> automatically translated to "magenta" on a 8-color TTY.  And in the
> 'hi-blue' face '(t (:background "light blue"))' is translated to "cyan".
> 
> So to add a new face with a "blue" background on a 8-color TTY
> with the condition '(t (:background "blue"))' we have no suitable name
> for a new face, become the most suitable name 'hi-blue' is already
> taken by the existing face that is displayed as "cyan".
> 
> The same problem is with 'hi-pink' that is currently translated to
> "magenta", not to "red" on a 8-color TTY.

(Converting "pink" to "magenta" and "lightblue" to "cyan" sounds fine
to me.)

So your problem is with the names of the faces?  Then may I suggest to
name the new faces hi-red and hi-deepblue?

> ‘--color=MODE’
> ...
>      ‘NUM’
>           ...
>           Depending on your terminal’s capabilities, Emacs might be able
>           to turn on a color mode for 8, 16, 88, or 256 as the value of NUM.
> 
> I guess the key point is "Depending on your terminal’s capabilities".
> This might explain why values other than 8 and 256 are not supported.

Right.  But this subtlety is slightly misleading.